/***********************************************************
*                       pC/TFS 2.38b                       *
*                 a FREE - Tiny File System                *
*                                                          *
*           by Frank Goetze  -  www.embedded-os.de         *
************************************************************
* Permission to use, copy, modify, and distribute this     *
* software in source and binary forms and its              *
* documentation for any purpose and without fee is hereby  *
* granted, provided that the above authors notice appear   *
* in all copies and that both that authors notice and this *
* permission notice appear in supporting documentation.    *
*                                                          *
* THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND   *
* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT    *
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY    *
* AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.     *
* IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT,  *
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR             *
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,    *
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF     *
* USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER *
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN        *
* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING           *
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE   *
* USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY *
* OF SUCH DAMAGE.                                          *
************************************************************
*                       TFS_string.h                       *
*                 string-operations without                *
*                    compiler-spezifics                    *
***********************************************************/
#ifndef _TFS_string_
 #define _TFS_string_

/*
***********************************************************
*                     TFSstring PROTOTYPES
***********************************************************
*/
TFS_LONG TFSstrlen(TFS_PATHNAME OS_HUGE *string) KC51_REENTRANT;
TFS_LONG TFSstrpos(TFS_PATHNAME OS_HUGE *string, U08 c) KC51_REENTRANT;
TFS_LONG TFSstrrpos(TFS_PATHNAME OS_HUGE *string, U08 c) KC51_REENTRANT;
U08      TFSstrcmp(TFS_PATHNAME OS_HUGE *string1, TFS_PATHNAME OS_HUGE *string2) KC51_REENTRANT;
U08      TFSstrncmp(TFS_PATHNAME OS_HUGE *string1, TFS_PATHNAME OS_HUGE *string2, TFS_LONG bytes) KC51_REENTRANT;

#endif


