/***********************************************************
*                       pC/TFS 2.38b                       *
*                 a FREE - Tiny File System                *
*                    by  Frank Goetze                      *
************************************************************
*                   TFS_Port_SAMD21.h                      *
*                 NOR-FLASH DECLARATIONS                   *
***********************************************************/
#ifndef _TFSPort_SAMD21_
 #define _TFSPort_SAMD21_

 #include "../pC_TFS.h"

/*
***********************************************************
*                     TFS-MEMORY AREA
***********************************************************
*/
#define TFS_START    0x0010000    // for SAMD21 NORFlash secound 64kB
#define TFS_SIZE     0x0010000    // size of TFS (64kB)

/*
***********************************************************
*                     TFS-PORT PROTOTYPES
***********************************************************
*/
U08 TFSPort_Init(void);
U08 TFSPort_Write(U08 OS_HUGE *dest, OS_CONST U08 OS_HUGE *source, TFS_LONG length);
U08 TFSPort_Fill(U08 OS_HUGE *dest, U08 value, TFS_LONG length);

#endif
